Skip to main content
POST
/
bookings
/
{id}
/
reschedule
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.bookings.reschedule({
    id: "<id>",
    requestBody: {
      startTime: new Date("2025-01-19T12:49:16.210Z"),
    },
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/bookings/{id}/reschedule \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"start_time": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.crevio.co/v1/bookings/{id}/reschedule"

payload = { "start_time": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({start_time: '2023-11-07T05:31:56Z'})
};

fetch('https://api.crevio.co/v1/bookings/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "<string>",
  "id": "<string>",
  "event_type_id": "<string>",
  "customer_id": "<string>",
  "order_id": "<string>",
  "time_zone": "<string>",
  "attendee_name": "<string>",
  "attendee_email": "<string>",
  "attendee_phone": "<string>",
  "location_details": "<string>",
  "meet_url": "<string>",
  "cancel_reason": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "intake_answers": [
    {}
  ],
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "event_type": "<string>",
  "checkout": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "<string>",
"code": "slot_unavailable",
"message": "<string>"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
start_time
string<date-time>
required

New UTC slot start (from the slots endpoint).

Response

The rescheduled booking

object
string
required
id
string
required
event_type_id
string
required
customer_id
string | null
required
order_id
string | null
required
status
enum<string>
required
Available options:
pending,
confirmed,
cancelled,
completed,
no_show
time_zone
string
required
attendee_name
string | null
required
attendee_email
string | null
required
attendee_phone
string | null
required
location_details
string | null
required
meet_url
string | null
required
cancel_reason
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
intake_answers
object[]
required
start_time
string<date-time>
required
end_time
string<date-time>
required
cancelled_at
string<date-time> | null
required
event_type

ID by default, full object when expanded

checkout

ID by default, full object when expanded